Subject: Re: [PATCH v3 08/12] testing: net-drv: add basic shaper test

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Aug 2024 12:36:55 -0700

On Mon, 5 Aug 2024 15:22:53 +0100 Simon Horman wrote:
> On Wed, Jul 31, 2024 at 06:55:11PM -0700, Jakub Kicinski wrote:
> > On Wed, 31 Jul 2024 09:52:38 +0200 Paolo Abeni wrote:  
> > > FTR, it looks like the CI build went wild around this patch, but the 
> > > failures look unrelated to the actual changes here. i.e.:
> > > 
> > > https://netdev.bots.linux.dev/static/nipa/875223/13747883/build_clang/stderr  
> > 
> > Could you dig deeper?
> > 
> > The scripts are doing incremental builds, and changes to Kconfig
> > confuse them. You should be able to run the build script as a normal
> > bash script, directly, it only needs a small handful of exported
> > env variables.
> > 
> > I have been trying to massage this for a while, my last change is:
> > https://github.com/linux-netdev/nipa/commit/5bcb890cbfecd3c1727cec2f026360646a4afc62
> >   
> 
> Thanks Jakub,
> 
> I am looking into this.
> So far I believe it relate to a Kconfig change activating new code.
> But reproducing the problem is proving a little tricky.

Have you tried twiddling / exporting FIRST_IN_SERIES ?

See here for the 4 possible exports the test will look at:

https://github.com/linux-netdev/nipa/blob/6112db7d472660450c69457c98ab37b431063301/core/test.py#L124